Bug 1733404 - socat sctp reciever shutdown connection unexpected (KVM)
Summary: socat sctp reciever shutdown connection unexpected (KVM)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: socat
Version: ---
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.0
Assignee: Paul Wouters
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 02:38 UTC by yiche
Modified: 2021-01-13 14:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-13 14:57:18 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Comment 8 Paul Wouters 2021-01-04 14:56:22 UTC
This bug is still present in the just released socat 1.7.4.0

Comment 9 Paul Wouters 2021-01-11 16:43:42 UTC
After some more talking with upstream, it seems that the testing script fails for reasons unrelated to socat:

    with this example script using SCTP I often get "Broken pipe" errors on client write. They a caused by the fact that the server/listener runs in
    background detached from stdin, but wants to read from stdin. It gets EOF and consequently shuts down the SCTP connection. When the client is
    not quick enough with writing the connection is already closed, thus that error.

    To work around this effect run the example server in unidirectional mode, not using stdin:

    socat -4 -U - SCTP-LISTEN:9999 &


    btw, with TCP that script would succeed due to half close feature.


I believe we should close this as NOTABUG.

Comment 10 yiche 2021-01-13 10:50:32 UTC
Thanks for looking into it! I am fine with close it and there is a workaround.
Could you explain why this issue only happen on VM not on bare metal?

Comment 11 Paul Wouters 2021-01-13 14:57:18 UTC
I am not sure why, I guess it is a harder race condition on metal ?

Thanks, I will close this bug.


Note You need to log in before you can comment on or make changes to this bug.